commit:     2720eca1cdfe9842c31359e2e6b1e7b7daea2954
Author:     Armas Spann <zappel <AT> simple-co <DOT> de>
AuthorDate: Wed Nov 13 00:17:59 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Nov 13 18:07:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2720eca1

net-misc/croc: add 10.1.0

Signed-off-by: Armas Spann <zappel <AT> simple-co.de>
Closes: https://github.com/gentoo/gentoo/pull/39297
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 net-misc/croc/Manifest           |  2 ++
 net-misc/croc/croc-10.1.0.ebuild | 47 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-misc/croc/Manifest b/net-misc/croc/Manifest
index 35c88bea796d..68c6b6ba8124 100644
--- a/net-misc/croc/Manifest
+++ b/net-misc/croc/Manifest
@@ -2,3 +2,5 @@ DIST croc-10.0.12-deps.tar.xz 41942616 BLAKE2B 
f49a250965dbb94cc8b4282912b4b5574
 DIST croc-10.0.12.tar.gz 576733 BLAKE2B 
31ba26c69eed23685ee7bc9512549b8b0b2f5194177f11b3ad0ed94b432e2a122811ac436ae0c1280a6715c06624988f0138a9f63a6e22522d30dd8d62d27f04
 SHA512 
4f012c9a9749e26afc5823b38223a2ca22d50b9aa2f6cf68733847c00a7331eec0330109d8837facaed77d11fa8e2ac9e96ddd2d22962d209b62de499df31b27
 DIST croc-10.0.13-deps.tar.xz 17631568 BLAKE2B 
b4b0a511f6f8b2d53421adbe34af5f427b92c151c82b8bd4e7ac320641cf38302d83cefc342a57f137f25602ca04806eaebc2807a5f18b5ef881c538d45c2df6
 SHA512 
ab03fe21400ebd9ff42923be2c76a2e10d3388d0f05815b5edccfc8165529a1cbd3afffffcaa32f7243bbdc80efce78321faf6aae109423c055512ba18fa15f6
 DIST croc-10.0.13.tar.gz 584046 BLAKE2B 
5604d7f8473da2e0648e33a3512ab0f9cedc4d995386570aa9b85428e9729ccc4153fe57b9487bffdb3d1c8e71210478887bff023215c31ac986fd4168484eb0
 SHA512 
b018fd1d26b84456d792c0d7e7c1a4cbcd796d7bac5acc802afea1d6c5082310a11d6d91efef721506e35bd3f1a35bea85382f2a041c81d875a404df02c3f5d7
+DIST croc-10.1.0-deps.tar.xz 18220572 BLAKE2B 
3c1513bf9dc52e72e37f34ad843daf30b4d8accb5de6a1073535870dd1e5d7993f9234312208dfae30726e1ce3f23c0c700ebedc6c6f2a7f3c610ce611940224
 SHA512 
8dd23262d529c66927b0a60b41b7234675577593cddc8c553a367f5203f3d4736b66cb258881a89603233cccc709923268e2ccdd78aa47c38d3dabdf072d0de1
+DIST croc-10.1.0.tar.gz 583893 BLAKE2B 
d728c8f6dc08179910343e17304b50138c93a7af8ca11c8b1d8fa8a43b4e542f811eec1898948c6c62c99d2f50a96363db0dc15f48fc2b6e98224a9fdf3a040c
 SHA512 
dba6a792c25766056aa851c10ec5a441a66404e41af50f2585ae7b7e35ce0e85972b4fbb93b374589ceb475c3fd35ad413251eb010fadc40cddede07a2831940

diff --git a/net-misc/croc/croc-10.1.0.ebuild b/net-misc/croc/croc-10.1.0.ebuild
new file mode 100644
index 000000000000..edfe827fbac5
--- /dev/null
+++ b/net-misc/croc/croc-10.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module systemd
+
+DESCRIPTION="Easily and securely send things from one computer to another"
+HOMEPAGE="https://github.com/schollz/croc";
+SRC_URI="https://github.com/schollz/croc/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz
+https://dev.gentoo.org/~xgqt/distfiles/deps/${P}-deps.tar.xz
+"
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       acct-group/croc
+       acct-user/croc
+"
+
+DOCS=( README.md )
+
+src_prepare() {
+       default
+       # Replace User=nobody with User=croc
+       sed -i -e "s|\(^User=\).*|\1croc|g" croc.service || die
+       # Rename bash completion function
+       sed -i -e "s|_cli_bash_autocomplete|_croc|g" \
+               src/install/bash_autocomplete || die
+}
+
+src_compile() {
+       ego build
+}
+
+src_install() {
+       dobin croc
+       systemd_dounit croc.service
+       newbashcomp src/install/bash_autocomplete croc
+       einstalldocs
+}
+
+src_test() {
+       ego test -skip "Test(Comm|Send|PublicIP|LocalIP)" -work ./...
+}

Reply via email to